<?php get_header(); ?>
<div id="entry"><!--begin entry-->
<div id="entry-content">
	  <?php if (have_posts()) : ?>
 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle"><?php _e('Archive for','twitter4us'); ?> &#8216;<?php single_cat_title(); ?>&#8217; <?php _e('Category','twitter4us'); ?></h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle"><?php _e('Posts Tagged','twitter4us'); ?> &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php _e('Archive for','twitter4us'); ?> <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle"><?php _e('Archive for','twitter4us'); ?> <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php _e('Archive for','twitter4us'); ?> <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle"><?php _e('Author Archive','twitter4us'); ?></h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle"><?php _e('Blog Archives','twitter4us'); ?></h2>
 	  <?php } ?>

		<?php while (have_posts()) : the_post(); ?>

<!--Begin each post-->
<div class="entrytitle"><!-- Begin entrytitle Class -->
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>><!-- Begin AUTO ID and AUTO Class-->

<div class="entry-header">
<h1 class="entry-name"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permalink to : ','twitter4us'); ?><?php the_title(); ?> "><?php the_title(); ?></a></h1>
</div>

<div class="entry-meta">
<ul class="entry-meta-other">
<!--  <li class="author"><?php the_author_posts_link(); ?></li> -->
<li class="time"><acronym title="<?php _e('Post on','twitter4us'); ?> <?php the_time('H:i') ?>"><?php the_time('n-j') ?></acronym>, <?php the_time('Y') ?></li>
<li class="views"><?php if(function_exists('the_views')) { the_views(); } ?></li>
<li class="comment"><?php comments_popup_link(__('No Comment','twitter4us'), __('1 Comment','twitter4us'), __('% Comments','twitter4us')); ?></li>
<?php edit_post_link(__('Edit','twitter4us'), '<li class="edit">', '</li>'); ?>
</ul>
</div>

<div class="entry-content">
<div class="entry-body">
<?php the_excerpt(__('(more...)','twitter4us')); ?>
</div>
<div class="entry-info">

<ul class="entry-meta-other">
<li class="category"><?php the_category(', ') ?></li>					
<?php the_tags('<li class="tag">', ', ', '</li>'); ?>
</ul>

</div>
</div>

<div class="entry-footer"></div>
</div><!-- End AUTO ID and AUTO Class-->
</div><!-- End entrytitle Class -->
<!--End each post-->

<!-- <?php trackback_rdf(); ?> -->

<?php endwhile; ?>

<!--begin of pageNavi-->
<div class="content-nav">
<?php if (function_exists('wp_pagenavi')) : ?>
	<?php wp_pagenavi(); ?>
<?php else : ?>

		<div class="alignLeft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
		<div class="alignRight"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		<div style="clear:both"></div>

<?php endif; ?>	
</div><!--End of pageNavi-->
 		<?php endif; ?>

</div>
</div><!--end entry-->
<?php get_sidebar(); ?>

<?php get_footer(); ?>
