<?php

// Begin Widget Settings
if ( function_exists('register_sidebar') )
	register_sidebar(array(
'name' => 'AT Sidebar', 
'before_widget' => '<ol>', // Removes <li>
'after_widget' => '</ol>', // Removes </li>
'before_title' => '<h2>', // Replaces <h2>
'after_title' => '</h2>', // Replaces </h2>
));
// End for Widget Settings.

// Begin languages settings
if (!function_exists ('load_theme_textdomain'))
  include (ABSPATH.WPINC.'/l10n.php');
load_theme_textdomain ('twitter4us');
// End for languages settings.


// Begin remove the CSS of WP-Pagenavi plugin,
// you can find the CSS in layout.css file,find /* Hack for WP-PageNavi */
remove_action('wp_head', 'pagenavi_css');
// End remove function of WP-Pagenavi

// Begin Remove the checkbox of Subscribe to comments,
// the codes of the checkbox in the comments.php, find <!-- Begin Subscribe to comments-->
// the CSS in the comments.css, find /* Begin Hack for subscribe-to-comments */
remove_action('comment_form', 'show_subscription_checkbox');
// End remove the function of Subscribe to comments


// Begin Remove Generator from header
remove_action('wp_head', 'wp_generator');


// Begom Check WordPress version for Comments.php
// add_filter( 'comments_template', 'comments_at27' );
// function comments_at27( $file ) {
// 	if ( !function_exists('wp_list_comments') )
// 		$file = TEMPLATEPATH . '/comments-at27.php';
// 	return $file;
// }

// Begin AT Theme Settings
$themename = "Always Twitting";
$shortname = "at4us";
				          /* General Basic*/
$options = array (  array(	"name" => __('Blog Stuffs','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Your Feed URL','twitter4us'),
							"id" => $shortname."_blog_feed_url",
							"type" => "text",
							"std" => "http://feed.dupola.com",
							"notes" => __(' like:http://feed.dupola.com ','twitter4us')),
					array(	"name" => __('Feed count img URL','twitter4us'),
							"id" => $shortname."_blog_feed_count_url",
							"type" => "text",
							"std" => "http://www.feedsky.com/feed/dupola/sc/gif",
							"notes" => __('like:http://www.feedsky.com/feed/dupola/sc/gif ','twitter4us')),

                    array(	"name" => __('Theme General','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Display header Top Bar ?','twitter4us'),
							"id" => $shortname."_header_top_bar_display",
							"type" => "select",
							"std" => "display",
							"options" => array("display", "none"),
							"notes" => __(' "display" to display, "none" to hide','twitter4us')),
					array(	"name" => __('Body background color','twitter4us'),
							"id" => $shortname."_body_bgcolor",
							"type" => "text",
							"std" => "#0099B9",
							"notes" => ""),
					array(	"name" => __('Background Image URL','twitter4us'),
							"id" => $shortname."_body_bgimg",
							"type" => "text",
							"std" => "",
							"notes" => __(' like:http://static.twitter.com//images/themes/theme12/bg.gif ','twitter4us')),
					array(	"name" => __('Body background image repeat?','twitter4us'),
							"id" => $shortname."_body_bgimg_repeat",
							"type" => "select",
							"std" => "repeat",
							"options" => array("repeat", "no-repeat", "repeat-x", "repeat-y"),
							"notes" => __('select the repeat type to display','twitter4us')),
					array(	"name" => __('Body background image position','twitter4us'),
							"id" => $shortname."_body_bg_position",
							"type" => "select",
							"std" => "left top",
							"options" => array("left top", "left bottom","left center","right top","right bottom","right center","center center","center top","center bottom"),
							"notes" => __('select the position to display','twitter4us')),
					array(	"name" => __('Body Background image scroll ?','twitter4us'),
							"id" => $shortname."_body_bgimg_scroll",
							"type" => "select",
							"std" => "scroll",
							"options" => array("scroll","fixed"),
							"notes" => __('select scroll or fixed','twitter4us')),
					array(	"name" => __('Theme width','twitter4us'),
							"id" => $shortname."_container_width",
							"type" => "text",
							"std" => "85%",
							"notes" => __(' can be specified in "%" or "px"','twitter4us')),
					array(	"name" => __('General font family','twitter4us'),
							"id" => $shortname."_basic_font",
							"type" => "select",
							"std" => "Verdana, Arial, Helvetica, sans-serif",
							"options" => array("Verdana, Arial, Helvetica, sans-serif", "Arial, Helvetica, sans-serif", "Georgia, 'Times New Roman', Times, serif","'Lucida Grande',sans-serif"),
							"notes" => ""),
					array(	"name" => __('General font color','twitter4us'),
							"id" => $shortname."_basic_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('General link color normal','twitter4us'),
							"id" => $shortname."_basic_link_color",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),
					array(	"name" => __('General link color mouse-over','twitter4us'),
							"id" => $shortname."_basic_link_hover_color",
							"type" => "text",
							"std" => "#FF9900",
							"notes" => ""),

					/* Header */
					array(	"name" => __('Header','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Blogname font family','twitter4us'),
							"id" => $shortname."_blogname_font",
							"type" => "select",
							"std" => "'Trebuchet MS', Arial, Helvetica, sans-serif",
							"options" => array("'Trebuchet MS', Geneva, Arial, Helvetica, sans-serif", "Arial, Helvetica, sans-serif", "Georgia, 'Times New Roman', Times, serif","'Lucida Grande',sans-serif"),
							"notes" => ""),

					array(	"name" => __('Header link color normal','twitter4us'),
							"id" => $shortname."_header_link_color",
							"type" => "text",
							"std" => "#FFFFFF",
							"notes" => ""),
					array(	"name" => __('Header link color mouse-over','twitter4us'),
							"id" => $shortname."_header_link_hover_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),

					array(	"name" => __('Blogname font size','twitter4us'),
							"id" => $shortname."_blogname_size",
							"type" => "text",
							"std" => "35px",
							"notes" => ""),
					array(	"name" => __('Slogan color','twitter4us'),
							"id" => $shortname."_header_dfn_color",
							"type" => "text",
							"std" => "#666666",
							"notes" => ""),
					array(	"name" => __('Slogan font size','twitter4us'),
							"id" => $shortname."_header_dfn_size",
							"type" => "text",
							"std" => "16px",
							"notes" => ""),
                   
				   /* Header Menu List */

					array(	"name" => __('Menu in Header','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Menu normal background color','twitter4us'),
							"id" => $shortname."_header_menu_bgcolor",
							"type" => "text",
							"std" => "#FFFFFF",
							"notes" => ""),
					array(	"name" => __('Menu mouse-over background color','twitter4us'),
							"id" => $shortname."_header_menu_bgcolor_hover",
							"type" => "text",
							"std" => "#FFFFFF",
							"notes" => ""),
					array(	"name" => __('Menu normal link color','twitter4us'),
							"id" => $shortname."_header_menu_link_color",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),
					array(	"name" => __('Menu mouse-over link color','twitter4us'),
							"id" => $shortname."_header_menu_link_hover_color",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),

				   /* Entry */
					array(	"name" => __('Post Entry','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Entry Title Border Color in Sticky Posts','twitter4us'),
							"id" => $shortname."_sticky_entry_name_border_color",
							"type" => "text",
							"std" => "#FF0000 2px solid",
							"notes" => __('For WP 2.7+ only.leave blank will be normal,the border will have no color','twitter4us')),
					array(	"name" => __('Entry Title Font size','twitter4us'),
							"id" => $shortname."_entry_title_font_size",
							"type" => "text",
							"std" => "18px",
							"notes" => ""),
					array(	"name" => __('Entry Title Background Color','twitter4us'),
							"id" => $shortname."_entry_title_bgcolor",
							"type" => "text",
							"std" => "",
							"notes" => ""),
					array(	"name" => __('Entry Title link color normal','twitter4us'),
							"id" => $shortname."_entry_title_link_color",
							"type" => "text",
							"std" => "#E64117",
							"notes" => ""),
					array(	"name" => __('Entry Title link color mouse-over','twitter4us'),
							"id" => $shortname."_entry_title_link_hover_color",
							"type" => "text",
							"std" => "#FF9900",
							"notes" => ""),

					array(	"name" => __('Entry Content background color','twitter4us'),
							"id" => $shortname."_entry_content_bgcolor",
							"type" => "text",
							"std" => "#FFFFFF",
							"notes" => ""),
					array(	"name" => __('Entry Content font color','twitter4us'),
							"id" => $shortname."_entry_content_font_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('Link color in entry content','twitter4us'),
							"id" => $shortname."_link_color_entry",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),
					array(	"name" => __('link color mouse-over in entry content','twitter4us'),
							"id" => $shortname."_link_hover_color_entry",
							"type" => "text",
							"std" => "#FF9900",
							"notes" => ""),

				   /* Entry Meta Data */
					array(	"name" => __('Entry Meta Data(stuffs like Post Time under Entry Title)','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Entry-meta font color','twitter4us'),
							"id" => $shortname."_entry_meta_font_color",
							"type" => "text",
							"std" => "#999999",
							"notes" => ""),
					array(	"name" => __('Entry-meta link color','twitter4us'),
							"id" => $shortname."_entry_meta_link_color",
							"type" => "text",
							"std" => "#999999",
							"notes" => ""),
					array(	"name" => __('Entry-meta link color mouse-over','twitter4us'),
							"id" => $shortname."_entry_meta_link_hover_color",
							"type" => "text",
							"std" => "#FF9900",
							"notes" => ""),

					array(	"name" => __('Entry-info font color','twitter4us'),
							"id" => $shortname."_entry_info_font_color",
							"type" => "text",
							"std" => "#999999",
							"notes" => ""),
					array(	"name" => __('Entry-info link color','twitter4us'),
							"id" => $shortname."_entry_info_link_color",
							"type" => "text",
							"std" => "#999999",
							"notes" => ""),
					array(	"name" => __('Entry-info link color mouse-over','twitter4us'),
							"id" => $shortname."_entry_info_link_hover_color",
							"type" => "text",
							"std" => "#FF9900",
							"notes" => ""),

				   /* Sidebar */
					array(	"name" => __('Sidebar','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Sidebar background color','twitter4us'),
							"id" => $shortname."_sidebar_bgcolor",
							"type" => "text",
							"std" => "#FFF7CC",
							"notes" => ""),
					array(	"name" => __('Sidebar left border color','twitter4us'),
							"id" => $shortname."_sidebar_border_left_color",
							"type" => "text",
							"std" => "#DEC3AB 1px solid",
							"notes" => ""),
					array(	"name" => __('Sidebar font color','twitter4us'),
							"id" => $shortname."_sidebar_color",
							"type" => "text",
							"std" => "#333333",
							"notes" => ""),

					array(	"name" => __('Sidebar H2 Font color','twitter4us'),
							"id" => $shortname."_sidebar_h2_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('Sidebar H2 Background color','twitter4us'),
							"id" => $shortname."_sidebar_h2_bgcolor",
							"type" => "text",
							"std" => "",
							"notes" => ""),
					array(	"name" => __('Sidebar H2 Font Size','twitter4us'),
							"id" => $shortname."_sidebar_h2_size",
							"type" => "text",
							"std" => "16px",
							"notes" => ""),
					array(	"name" => __('Sidebar H2 link color','twitter4us'),
							"id" => $shortname."_sidebar_h2_link_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('Sidebar H2 link color  mouse-over','twitter4us'),
							"id" => $shortname."_sidebar_h2_link_hover_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),

					array(	"name" => __('Sidebar link color normal','twitter4us'),
							"id" => $shortname."_sidebar_link_color",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),
					array(	"name" => __('Sidebar link color mouse-over','twitter4us'),
							"id" => $shortname."_sidebar_link_hover_color",
							"type" => "text",
							"std" => "#E64117",
							"notes" => ""),

					array(	"name" => __('Sidebar LI link color normal','twitter4us'),
							"id" => $shortname."_sidebar_li_link_color",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),
					array(	"name" => __('Sidebar LI link color mouse-over','twitter4us'),
							"id" => $shortname."_sidebar_li_link_hover_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('Sidebar LI bottom border','twitter4us'),
							"id" => $shortname."_sidebar_li_bottom_border_color",
							"type" => "text",
							"std" => "#EAEAEA 1px solid",
							"notes" => ""),

				   /* Subscribe in sidebar */
					array(	"name" => __('Subscribe in Sidebar','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Subscribe Background color','twitter4us'),
							"id" => $shortname."_sidebar_sub_bgcolor",
							"type" => "text",
							"std" => "",
							"notes" => ""),
					array(	"name" => __('Subscribe Border color','twitter4us'),
							"id" => $shortname."_sidebar_sub_border_color",
							"type" => "text",
							"std" => "1px solid #CCCCCC",
							"notes" => ""),


				   /* Nav */
					array(	"name" => __('Navigation in Content','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Navigation Background color','twitter4us'),
							"id" => $shortname."_content_nav_bgcolor",
							"type" => "text",
							"std" => "#F6F6F6",
							"notes" => ""),
					array(	"name" => __('Navigation Font color','twitter4us'),
							"id" => $shortname."_content_nav_font_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('Navigation Font size','twitter4us'),
							"id" => $shortname."_content_nav_font_size",
							"type" => "text",
							"std" => "14px",
							"notes" => ""),
					array(	"name" => __('Navigation Border color','twitter4us'),
							"id" => $shortname."_content_nav_border_color",
							"type" => "text",
							"std" => "#EEEEEE 1px solid",
							"notes" => ""),
					array(	"name" => __('Navigation Normal link color:','twitter4us'),
							"id" => $shortname."_content_nav_link_color",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),
					array(	"name" => __('Navigation Mouse-over link color','twitter4us'),
							"id" => $shortname."_content_nav_link_hover_color",
							"type" => "text",
							"std" => "#FF9900",
							"notes" => ""),

				   /* Comments */
					array(	"name" => __('Comments','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Comments background color(Blog Owner)','twitter4us'),
							"id" => $shortname."_comments_bgcolor_blogowner",
							"type" => "text",
							"std" => "#FFFFCC",
							"notes" => ""),
					array(	"name" => __('Comments background color(General commentator)','twitter4us'),
							"id" => $shortname."_comments_bgcolor_guest",
							"type" => "text",
							"std" => "#E1F1FF",
							"notes" => ""),

					array(	"name" => __('Comment author data font color','twitter4us'),
							"id" => $shortname."_comment_author_data_font_color",
							"type" => "text",
							"std" => "#999999",
							"notes" => ""),

					array(	"name" => __('Comment form field normal background color','twitter4us'),
							"id" => $shortname."_comment_form_textarea_bgcolor",
							"type" => "text",
							"std" => "#EEEEEE",
							"notes" => ""),
					array(	"name" => __('Comment form field focused background color','twitter4us'),
							"id" => $shortname."_cff_color",
							"type" => "text",
							"std" => "#CCFFFF",
							"notes" => ""),
					array(	"name" => __('Border color of Comment form and Textarea color','twitter4us'),
							"id" => $shortname."_comments_form_text_border_color",
							"type" => "text",
							"std" => "1px solid",//#6A9ABD
							"notes" => ""),

					array(	"name" => __('Comment Guidelines background color','twitter4us'),
							"id" => $shortname."_comments_guidelines_info_bgcolor",
							"type" => "text",
							"std" => "#FFFFCC",
							"notes" => ""),
					array(	"name" => __('Comment Guidelines font color','twitter4us'),
							"id" => $shortname."_comments_guidelines_info_font_color",
							"type" => "text",
							"std" => "#333333",
							"notes" => ""),

                    /* Code Display */
					array(	"name" => __('Code Display','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Code font color','twitter4us'),
							"id" => $shortname."_code_color",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('Code background color','twitter4us'),
							"id" => $shortname."_code_bgcolor",
							"type" => "text",
							"std" => "#EAEAEA",
							"notes" => ""),

				   /* Footer */

					array(	"name" => __('Footer','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Footer background color','twitter4us'),
							"id" => $shortname."_fb_bgcolor",
							"type" => "text",
							"std" => "#FFFFFF",
							"notes" => ""),
					array(	"name" => __('Footer font color','twitter4us'),
							"id" => $shortname."_fc_color",
							"type" => "text",
							"std" => "#333333",
							"notes" => ""),
					array(	"name" => __('Footer link color normal','twitter4us'),
							"id" => $shortname."_fl_color",
							"type" => "text",
							"std" => "#FF0000",
							"notes" => ""),
					array(	"name" => __('Footer link color mouse-over','twitter4us'),
							"id" => $shortname."_fh_color",
							"type" => "text",
							"std" => "#FF9900",
							"notes" => ""),
					array(	"name" => __('Footer LI left border','twitter4us'),
							"id" => $shortname."_flbl_color",
							"type" => "text",
							"std" => "#EEEEEE 1px solid",
							"notes" => ""),

				   /* Miscs */
					array(	"name" => __('Miscs','twitter4us'),
							"type" => "heading"),
					array(	"name" => __('Selection Text font color(Some Browsers only)','twitter4us'),
							"id" => $shortname."_selection_color",
							"type" => "text",
							"std" => "#FFFFFF",
							"notes" => ""),
					array(	"name" => __('Selection Text background color(Some Browsers only)','twitter4us'),
							"id" => $shortname."_selection_bgcolor",
							"type" => "text",
							"std" => "#0C3E53",
							"notes" => ""),
					array(	"name" => __('Caption background color(begin WP 2.6)','twitter4us'),
							"id" => $shortname."_caption_bgcolor",
							"type" => "text",
							"std" => "#F3F3F3",
							"notes" => ""),
					array(	"name" => __('Caption border color(begin WP 2.6)','twitter4us'),
							"id" => $shortname."_caption_bordercolor",
							"type" => "text",
							"std" => "#DDDDDD 1px solid",
							"notes" => ""),
					);

function mytheme_add_admin()
{
	global $themename, $shortname, $options;
	if ($_GET['page'] == basename(__FILE__))
	{
		if ('save' == $_REQUEST['action'])
		{
			foreach ($options as $value)
			{
				update_option($value['id'], $_REQUEST[$value['id']]);
			}
			foreach ($options as $value)
			{
				if (isset($_REQUEST[$value['id']]))
				{
					update_option($value['id'], $_REQUEST[$value['id']]);
				}
				else
				{
					delete_option($value['id']);
				}
			}
			header("Location: themes.php?page=functions.php&saved=true");
			die;
		}
		else if ('reset' == $_REQUEST['action'])
		{
			foreach ($options as $value)
			{
				delete_option($value['id']);
			}
			header("Location: themes.php?page=functions.php&reset=true");
			die;
		}
	}
	add_theme_page($themename." Options", $themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin()
{
	global $themename, $shortname, $options;
	if ($_REQUEST['saved']) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings saved.','twitter4us'),'</strong></p></div>';
	if ($_REQUEST['reset']) echo '<div id="message" class="updated fade"><p><strong>'.$themename. __(' settings reset.','twitter4us'),'</strong></p></div>';
	?>
<div class="wrap">
	<h2><?php echo $themename; _e(' settings','twitter4us'); ?></h2>
	<p><?php _e('Thanks for using','twitter4us'); ?> <a href="http://dupola.com/wordpress/twitter" target="_blank"><strong>AT theme(Always Twitting)</strong></a> .<?php _e('Really like it','twitter4us'); ?> ? <a href="http://dupola.com/go/atdonate/" target="_blank"><?php _e('PayPal me a beer','twitter4us'); ?></a> ? <?php _e('Contact me if you have good or bad ideas :)','twitter4us'); ?></p>
	<p><?php _e('This page will allow you to make simple modifications to the ','twitter4us'); echo $themename; _e(' theme\'s settings. If you need color-scheme inspiration then visit','twitter4us'); ?> <a href="http://beta.dailycolorscheme.com/" target="_blank">Daily Color Scheme</a>.</p>
	<p><?php _e('While you edit the border color,DO NOT forget type the Border With too!','twitter4us');?><?php _e('like "1px" or "1em".','twitter4us');?><strong><?php _e('DO NOT forget submit "Save changes" after you change somethings !','twitter4us');?></strong></p>
	<p><?php _e('Tip: A good way to get color values is to use','twitter4us'); ?> <a href="http://www.mozilla.com/firefox/" target="_blank">Firefox</a> <?php _e(' browser and ','twitter4us'); ?> <a href="https://addons.mozilla.org/en-US/firefox/addon/271" target="_blank">ColorZilla</a> <?php _e('extension','twitter4us'); ?> , <?php _e('I also suggest you use','twitter4us'); ?> <a href="http://getfirebug.com">Firebug</a> <?php _e('extension','twitter4us'); ?> <?php _e('to modify','twitter4us'); ?> <a href="http://dupola.com/wordpress/twitter" target="_blank"><strong>AT theme(Always Twitting)</strong></a>.</p>
	<form method="post" style="margin-top:1em;">
		<table class="optiontable" style="font-size:90%;">
			<?php
			foreach ($options as $value)
			{
				if ($value['type'] == "heading")
				{
					?>
			<tr>
				<td colspan="2"><h3 style="border-bottom:3px solid #ccc;margin-bottom:0;"><?php echo $value['name']; ?></h3></th>
			</tr>
					<?php
				}
				elseif ($value['type'] == "text")
				{
					?>
			<tr>
				<th scope="row"><?php echo $value['name']; ?>:</th>
				<td>
				<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if (get_option($value['id']) != "") { echo get_option($value['id']); } else { echo $value['std']; } ?>" />
				<?php echo $value['notes']; ?>
				</td>
			</tr>
					<?php
				}
				elseif ($value['type'] == "select")
				{
					?>
			<tr>
				<th scope="row"><?php echo $value['name']; ?>:</th>
				<td>
				<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
					<?php foreach ($value['options'] as $option) { ?>
					<option<?php if (get_option($value['id']) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
					<?php } ?>
				</select>
				<?php echo $value['notes']; ?>
				</td>
			</tr>
					<?php 
				}
			}
			?>
		</table>
		<p class="submit">
		<input name="save" type="submit" value="<?php _e('Save changes','twitter4us'); ?>" />
		<input type="hidden" name="action" value="save" />
		</p>
	</form>
	<form method="post">
		<p class="submit" style="float:right;margin-top:1.75em;">
		<input name="reset" type="submit" value="<?php _e('Reset','twitter4us'); ?>" />
		<input type="hidden" name="action" value="reset" />
		</p>
	</form>
	<p style="border-top:3px solid #ccc;margin-top:2em;padding-top:1em;"><?php _e('Made a mess of things and wish to reset the ','twitter4us'); echo $themename; _e(' theme\'s settings to it\'s defaults? No problem, simply click the \'Reset\' button below.','twitter4us'); ?></p>
	<?php
}

function mytheme_wp_head()
{
	?>
	<link href="<?php bloginfo('template_directory'); ?>/style.php" rel="stylesheet" media="screen" type="text/css" />
	<?php
}

add_action('wp_head', 'mytheme_wp_head');
add_action('admin_menu', 'mytheme_add_admin');


// Begin Comments list 
function at4us_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li class="feedback-content" <?php comment_class(); ?> id="comment-<?php comment_ID() ?>"><!-- Begin each comment-->
     <div id="div-comment-<?php comment_ID(); ?>">

			<?php
			$isByAuthor = false;
			if($comment->user_id != 0)
			{
				$isByAuthor = true;
			}
			if ('comment-entry-alt' == $oddcomment && $isByAuthor == true)
			{
				$oddcomment = 'comment-entry-owner';
			}
			if ('comment-entry-alt' != $oddcomment && $isByAuthor == true)
			{
				$oddcomment = 'comment-entry-owner';
			}
			elseif ('comment-entry-alt' == $oddcomment && $isByAuthor == false)
			{
				$oddcomment = 'comment-content';
			}
			else
			{
				$oddcomment = 'comment-content';
			}
			?>

<div class="feedback-gravatar">
<?php if (function_exists('get_avatar')) : ?>
<?php echo get_avatar(get_comment_author_email(),'40'); ?>
<?php else : ?>
<?php 
if ( !empty( $comment->comment_author_email ) ) {
        $md5 = md5( $comment->comment_author_email );
        $default = urlencode(get_bloginfo('template_directory') . '/images/gravatar.png');
        echo "<img src='http://www.gravatar.com/avatar.php?gravatar_id=$md5&amp;size=30&amp;default=$default' alt='<?php _e('Gravatar Icon','twitter4us'); ?>' width='40' />";
}
?>
<?php endif; ?>
</div>

      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.','twitter4us') ?></em>
         <br />
      <?php endif; ?>

<div class="<?php _e($oddcomment); ?>">
<?php comment_text();?>

<div class="comment-reply">
         <?php comment_reply_link(array_merge( $args, array('add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
</div>
</div>

<div id="eachcontent" class="feedback-footer">
<span class="feedback-title"></a>&nbsp;<?php comment_author_link() ?></span> @ <?php comment_date(); ?>,<?php comment_time(); ?>(<a href="#comment-<?php comment_ID() ?>" title="<?php _e('Permalink to this comment','twitter4us'); ?>">#</a>)<?php edit_comment_link('edit','',''); ?></div>

     </div>
<?php
        };
// End Comments list 


// Begin Custom Trackbacks List
function at4us_pings($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
?>
<li id="comment-<?php comment_ID( ); ?>" class="trackback"><?php comment_author_link(); ?></li>

<?};
// End Custom Trackbacks List

// Begin to custom default Gravatar image file
add_filter( 'avatar_defaults', 'TwitterTheme_addgravatar' );
function TwitterTheme_addgravatar( $avatar_defaults ) {
$myavatar = get_bloginfo('template_directory') . '/images/gravatar.png';
$avatar_defaults[$myavatar] = (TwitterTheme);
return $avatar_defaults;
};
// End to custom default Gravatar image file

?>